Skip to main content
GET
/
transparency
/
log
/
{agent_id}
Point-in-time canonical posture lookup.
curl --request GET \
  --url https://api.mnemom.ai/v1/transparency/log/{agent_id}
{
  "entry": {
    "log_index": 2,
    "agent_id": "<string>",
    "content_hash": "<string>",
    "version": 2,
    "composed_at": "2023-11-07T05:31:56Z",
    "signed_attestation": "<string>",
    "signing_key_id": "<string>",
    "merkle_leaf_hash": "<string>",
    "tree_size_after": 2,
    "integrated_time": "2023-11-07T05:31:56Z"
  },
  "inclusion_proof": {
    "leaf_hash": "<string>",
    "log_index": 2,
    "tree_size": 2,
    "hashes": [
      {
        "sibling": "<string>"
      }
    ]
  }
}

Path Parameters

agent_id
string
required

Query Parameters

at
string<date-time>
required

ISO-8601 UTC timestamp.

card_kind
enum<string>

Defaults to alignment.

Available options:
alignment,
protection

Response

Log entry + inclusion proof.

entry
object
required
inclusion_proof
object
required